LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
NodeAttribute.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::configuration
| Access to the tree of configuration data.
module | com::sun::star::configuration::backend
| interfaces for configuration backends.

## Constant Groups
constants | com::sun::star::configuration::backend::NodeAttribute
| These values are used to specify the behavior of a node or property in a layer.

## Variables
const short | FINALIZED = 256
| indicates that a node or property may not be changed or overridden in subsequent layers More...
const short | MANDATORY = 512
| indicates that a set item may not be removed or replaced in subsequent layers. More...
const short | READONLY = 1024
| indicates that a node or property may not be changed in this or subsequent layer. More...
const short | FUSE = 2048
| indicates that contents shall be fused. More...
const short | MASK = 32512
| can be used to mask the node attributes from merged attributes More...